# Interface MapOptions
Describes the map options for Map constructor.

## Index

### Properties
* [apiUrl](_map_.mapoptions.md#apiurl)
* [attributionControl](_map_.mapoptions.md#attributioncontrol)
* [center](_map_.mapoptions.md#center)
* [container](_map_.mapoptions.md#container)
* [crs](_map_.mapoptions.md#crs)
* [hash](_map_.mapoptions.md#hash)
* [layers](_map_.mapoptions.md#layers)
* [maxZoom](_map_.mapoptions.md#maxzoom)
* [minZoom](_map_.mapoptions.md#minzoom)
* [style](_map_.mapoptions.md#style)
* [vector](_map_.mapoptions.md#vector)
* [zoom](_map_.mapoptions.md#zoom)

## Properties

### Optional apiUrl: string

* Defined in Map.ts:446


### Optional attributionControl: boolean

* Defined in Map.ts:445


### Optional center: number[]

* Defined in Map.ts:439


### container: string
HTML element id as string to initialize the map in.
* Defined in Map.ts:432


### Optional crs: any

* Defined in Map.ts:441


### Optional hash: boolean

* Defined in Map.ts:444


### Optional layers: string[]

* Defined in Map.ts:437


### Optional maxZoom: number

* Defined in Map.ts:443


### Optional minZoom: number

* Defined in Map.ts:442


### Optional style: string

* Defined in Map.ts:438


### vector: boolean
If true, renders vector tiles by the gl backend. Default is true.
* Defined in Map.ts:436


### Optional zoom: number

* Defined in Map.ts:440



Generated using [TypeDoc](http://typedoc.io)
